Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api
Class TaskCreation

    java.lang.Object
      com.bea.wli.worklist.api.TaskCreation

All Implemented Interfaces:
  Serializable, Cloneable

Direct Known Subclasses:
  TaskConstruction

    public class TaskCreation

extends Object
implements Serializable, Cloneable

Deprecated: You should not use this class directly. Use TaskConstruction instead. In a future release, this class will be removed.

This class provides information for creating a task. It is necessary to specify at least the task name.

The following defaults are used if not specified:
priority => 1.
canBeReassigned => true.
canBeReturned => true.
canBeAborted => true.
owner => the current user.

Deprecated: You should not use this class directly. Use TaskConstruction instead. In a future release, this class will be removed.

Since:
  8.1
See Also:
  Serialized Form

Constructor Summary
`TaskCreation()`
`TaskCreation(TaskCreation creation)` Deprecated.

Method Summary
`Object` | `clone()`
`String` | `getAssignToUser()`
`String` | `getAssignToUserInGroup()`
`String[]` | `getAssignToUsersAndGroups()` Deprecated. Use AssignmentInstructions on TaskConstruction instead.
`Boolean` | `getCanBeAborted()` Deprecated.
`Boolean` | `getCanBeReassigned()` Deprecated.
`Boolean` | `getCanBeReturned()` Deprecated.
`BusinessTime` | `getClaimDueBusinessTime()` Deprecated.
`Date` | `getClaimDueDate()` Deprecated.
`String` | `getComment()`
`BusinessTime` | `getCompletionDueBusinessTime()`
`Date` | `getCompletionDueDate()`
`String` | `getDescription()` Deprecated. Use TaskPlan.getDescription() instead
`String` | `getName()`
`String` | `getOwner()`
`Integer` | `getPriority()`
`TaskMessage` | `getRequest()` Deprecated. Use task properties instead of request/response message
`void` | `setAssignToUser(String assignToUser)`
`void` | `setAssignToUserInGroup(String assignToUserInGroup)`
`void` | `setAssignToUsersAndGroups(String[] assignToUsersAndGroups)` Deprecated. Use AssignmentInstructions on TaskConstruction instead.
`void` | `setCanBeAborted(Boolean canBeAborted)` Deprecated.
`void` | `setCanBeReassigned(Boolean canBeReassigned)` Deprecated.
`void` | `setCanBeReturned(Boolean canBeReturned)` Deprecated.
`void` | `setClaimDueBusinessTime(BusinessTime claimDueBusinessTime)` Deprecated.
`void` | `setClaimDueDate(Date claimDueDate)` Deprecated.
`void` | `setComment(String comment)`
`void` | `setCompletionDueBusinessTime(BusinessTime completionDueBusinessTime)`
`void` | `setCompletionDueDate(Date completionDueDate)`
`void` | `setDescription(String description)` Deprecated. Use TaskPlan.setDescription() instead
`void` | `setName(String name)`
`void` | `setOwner(String owner)`
`void` | `setPriority(Integer priority)`
`void` | `setRequest(TaskMessage request)` Deprecated. Use task properties instead of request/response message

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskCreation

    public TaskCreation()

### TaskCreation

    public TaskCreation(TaskCreation creation)

  Deprecated.

Method Detail

### getName

    public String getName()

### setName

    public void setName(String name)

### getDescription

    public String getDescription()

  Deprecated. Use TaskPlan.getDescription() instead

  A succinct description of the task.

  See Also:
    `TaskPlan.getDescription()`

### setDescription

    public void setDescription(String description)

  Deprecated. Use TaskPlan.setDescription() instead

  A succinct description of the task.

  Parameters:
    `description` -
  See Also:
    `TaskPlan.setDescription(String)`

### getComment

    public String getComment()

### setComment

    public void setComment(String comment)

### getPriority

    public Integer getPriority()

### setPriority

    public void setPriority(Integer priority)

### getClaimDueDate

    public Date getClaimDueDate()

  Deprecated.

### setClaimDueDate

    public void setClaimDueDate(Date claimDueDate)

  Deprecated.

### getClaimDueBusinessTime

    public BusinessTime getClaimDueBusinessTime()

  Deprecated.

### setClaimDueBusinessTime

    public void setClaimDueBusinessTime(BusinessTime claimDueBusinessTime)

  Deprecated.

### getCompletionDueDate

    public Date getCompletionDueDate()

### setCompletionDueDate

    public void setCompletionDueDate(Date completionDueDate)

### getCompletionDueBusinessTime

    public BusinessTime getCompletionDueBusinessTime()

### setCompletionDueBusinessTime

    public void setCompletionDueBusinessTime(BusinessTime completionDueBusinessTime)

### getOwner

    public String getOwner()

### setOwner

    public void setOwner(String owner)

### getCanBeReassigned

    public Boolean getCanBeReassigned()

  Deprecated.

### setCanBeReassigned

    public void setCanBeReassigned(Boolean canBeReassigned)

  Deprecated.

### getCanBeAborted

    public Boolean getCanBeAborted()

  Deprecated.

### setCanBeAborted

    public void setCanBeAborted(Boolean canBeAborted)

  Deprecated.

### getCanBeReturned

    public Boolean getCanBeReturned()

  Deprecated.

### setCanBeReturned

    public void setCanBeReturned(Boolean canBeReturned)

  Deprecated.

### getAssignToUser

    public String getAssignToUser()

### setAssignToUser

    public void setAssignToUser(String assignToUser)

### getAssignToUserInGroup

    public String getAssignToUserInGroup()

### setAssignToUserInGroup

    public void setAssignToUserInGroup(String assignToUserInGroup)

### getAssignToUsersAndGroups

    public String[] getAssignToUsersAndGroups()

  Deprecated. Use AssignmentInstructions on TaskConstruction instead.

### setAssignToUsersAndGroups

    public void setAssignToUsersAndGroups(String[] assignToUsersAndGroups)

  Deprecated. Use AssignmentInstructions on TaskConstruction instead.

### getRequest

    public TaskMessage getRequest()

  Deprecated. Use task properties instead of request/response message

  See Also:
    `WorklistTaskUser.getTaskProperties(String, String[], boolean)`, `WorklistTaskUser.getTaskPlanForTask(String)`, `TaskPlan.getProperty(String)`

### setRequest

    public void setRequest(TaskMessage request)

  Deprecated. Use task properties instead of request/response message

  See Also:
    `WorklistTaskUser.getTaskProperties(String, String[], boolean)`, `WorklistTaskUser.getTaskPlanForTask(String)`, `TaskPlan.getProperty(String)`, `WorklistTaskUser#setTaskProperties(String, java.util.Map)`

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD